package PrimeCounterWS;

public class PrimeCounterImpl 
	implements PrimeCounterIF, 
	javax.xml.rpc.server.ServiceLifecycle
{
	public void init(Object context) {}
	public void destroy() {}
	
	public int getPrimesCount(int number) throws java.rmi.RemoteException
	{
		if (number < 2)
			throw new java.rmi.RemoteException("Invalid input, try number > 1");
		
		int primesCount = 0;
		for (int i = 2; i <= number; i++)
		{
			if (isPrime(i)) primesCount++;
		}
		
		return primesCount;
	}
	
	private boolean isPrime(int aNumber)
	{
		boolean bResult = true;

		for (int i = 2; i < aNumber; i++)
		{
			if (aNumber % i == 0)
			{
				bResult = false;
				break;
			}
		}

		return bResult;
	}
}
