import com.durasoftcorp.ws.*;
import java.io.*;

public class Client
{
	public static void main(String[] args)
	{
		try
		{
			System.out.print("Enter city name:");
			String city;
			
			BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
			
			city = reader.readLine();
			
			TemperatureProviderSoap service = 
					new TemperatureProvider_Impl().getTemperatureProviderSoap();

			double temperature = service.getTemperature(city);
			
			System.out.println("Temperature in " + city + " is : " + temperature);
		}
		catch(Exception e)
		{
			System.out.println("Exception occured in Client: " + e);
		}
	}
}

