using System;

namespace CSharpClient
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Client
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			Console.Write("Enter name of city:");
			String city = Console.ReadLine();

			WeatherInfo.TemperatureProvider service =
																		   new WeatherInfo.TemperatureProvider();

			//  No need to set this if port were 80. A bug in wsdl generates wrong port
			// within the proxy.
			service.Url = "http://localhost:8080/WeatherInfo/TemperatureProvider";

			double temperature = service.getTemperature(city);
			
			Console.WriteLine("Temperature in " + city + " is " + temperature);
		}
	}
}
